<template>
<div class="waterNlandDashboard bg-white d-flex flex-column justify-content-around border border-top-0" >
    <div class="discrete-indicator d-flex flex-nowrap justify-content-evenly rounded-2 p-1 m-auto">
            <div v-for="i in 5" class="bloc rounded-2 flex-fill m-1" :style="`background:${isDisplay(i)};`"></div>
    </div>
    <div class="continous-indicator w-75 m-auto bg-secondary rounded-5">
        <div class="point-indicator bg-warning rounded-5 position-relative" :style="`left:${IndicatorValue/vmax*100 < 95 ? IndicatorValue/vmax*100 : 95}%`"></div>
    </div>
</div>
</template>

<script>
export default {
    props: {
        IndicatorValue: Number,
        paliers: Array,
        vmax: Number,
        color: String,
    },
    methods: {
        isDisplay(i) {
            const a = this.IndicatorValue > this.paliers[i-1]
            return a ? this.color : "#D9D9D9"
        }
    }
}
</script>

<style scoped>
.waterNlandDashboard {
    height: 300px;
}

.discrete-indicator {
    height: 90px;
    width: 200px;
    background-color: #D9D9D9;
}
.continous-indicator {
    height: 20px;
}
.point-indicator {
    height: 20px;
    width: 20px;
}

</style>